# Get all device keys

Retrieves all the device keys registered for a specific user. This can be used to display a list of the user's devices. <br><br>**Required permissions**: `apps:read`, `[appId]:read`, `devices:read`, `apps:list`, `[appId]:list`, `devices:list`.

Endpoint: GET /v1/users/{user_id}/device-keys
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    ID of the user

## Response 200 fields (application/json):

  - `result` (array, required)

  - `result.status` (string, required)
    Enum: "Active", "Blocked", "Suspended"

  - `result.display_name` (string)
    Friendly device name, used when displaying a list of the user's devices

  - `result.custom_data` (object)
    Custom data stored for this device, such as tags or device data obtained using other tools

  - `result.push_config` (object)
    Device push notification configuration

  - `result.push_config.device_token` (string, required)
    Device token for push notifications (FCM registration token or APN device token)

  - `result.push_config.type` (string, required)
    Type of push notification
    Enum: "FCM", "APN"

  - `result.push_config.bundle_id` (string)
    Bundle identifier, used for push notifications

  - `result.key_id` (string)
    Identifier of the user's device

  - `result.created_at` (string, required)
    Date the device key was added

  - `result.updated_at` (string, required)
    Date the device key metadata was last updated

  - `result.device_id` (string)
    ID of the device associated with this key

